Package org.apache.datasketches.tuple

# Interface Summary

All Known Subinterfaces:
  `UpdatableSummary<U>`

All Known Implementing Classes:
  `ArrayOfStringsSummary`, `DoubleSummary`, `IntegerSummary`

public interface Summary
Interface for user-defined Summary, which is associated with every hash in a tuple sketch

## Method Summary

Modifier and Type
Method
Description
`Summary`
`copy()`
Deep copy.
`byte[]`
`toByteArray()`
This is to serialize a Summary instance to a byte array.

## Method Details

### copy

Summary copy()
Deep copy.

Caution: This must implement a deep copy.

Returns:
  deep copy of the Summary

### toByteArray

byte[] toByteArray()
This is to serialize a Summary instance to a byte array.

The user should encode in the byte array its total size, which is used during deserialization, especially if the Summary has variable sized elements.

Returns:
  serialized representation of the Summary